sc::TriangulatedSurface(3)

NAME
sc::TriangulatedSurface -

SYNOPSIS

Inherits sc::DescribedClass'.

Inherited by sc::TriangulatedImplicitSurface'.

  Public Member Functions
TriangulatedSurface (const Ref< KeyVal > &)
int verbose () const
void verbose (int v)
void set_integrator (const Ref< TriangleIntegrator > &)
void set_fast_integrator (const Ref< TriangleIntegrator > &)
void set_accurate_integrator (const Ref< TriangleIntegrator > &)
virtual Ref< TriangleIntegrator > integrator (int itri)
virtual Ref< TriangleIntegrator > fast_integrator (int itri)
virtual Ref< TriangleIntegrator > accurate_integrator (int itri)
void add_triangle (const Ref< Vertex > &, const Ref< Vertex > &, const Ref< Vertex > &)
Ref< Edge > find_edge (const Ref< Vertex > &, const Ref< Vertex > &)
virtual void complete_surface ()
virtual void remove_short_edges (double cutoff_length=1.0e-6, const Ref< Volume > &vol=0, double isoval=0.0)
virtual void remove_slender_triangles (int remove_slender, double height_cutoff, int remove_small, double area_cutoff, const Ref< Volume > &vol=0, double isoval=0.0)
virtual void fix_orientation ()
virtual void clear ()
int nvertex () const
Ref< Vertex > vertex (int i) const
int vertex_index (const Ref< Vertex > &o)
int nedge () const
Ref< Edge > edge (int i) const
int edge_index (const Ref< Edge > &o)
int ntriangle () const
Ref< Triangle > triangle (int i) const
int triangle_index (const Ref< Triangle > &o)
int triangle_vertex (int i, int j) const
int triangle_edge (int i, int j) const
int edge_vertex (int i, int j) const
void compute_values (Ref< Volume > &)
virtual double flat_area ()
virtual double flat_volume ()
virtual double area ()
virtual double volume ()
virtual void print (std::ostream &o=ExEnv::out0()) const
Print the object'.
virtual void print_vertices_and_triangles (std::ostream &o=ExEnv::out0()) const
virtual void print_geomview_format (std::ostream &o=ExEnv::out0()) const
virtual void render (const Ref< Render > &render)
void topology_info (std::ostream &o=ExEnv::out0())
void topology_info (int nvertex, int nedge, int ntri, std::ostream &o=ExEnv::out0())

  Protected Member Functions
void clear_int_arrays ()
void complete_ref_arrays ()
void complete_int_arrays ()
void recompute_index_maps ()
void add_triangle (const Ref< Triangle > &)
void add_vertex (const Ref< Vertex > &)
void add_edge (const Ref< Edge > &)
virtual Triangle * newTriangle (const Ref< Edge > &, const Ref< Edge > &, const Ref< Edge > &, int orientation) const
virtual Edge * newEdge (const Ref< Vertex > &, const Ref< Vertex > &) const

  Protected Attributes
int _verbose
int _debug
int _completed_surface
std::set< Ref< Vertex > > _vertices
std::set< Ref< Edge > > _edges
std::set< Ref< Triangle > > _triangles
std::map< Ref< Vertex >, int > _vertex_to_index
std::map< Ref< Edge >, int > _edge_to_index
std::map< Ref< Triangle >, int > _triangle_to_index
std::vector< Ref< Vertex > > _index_to_vertex
std::vector< Ref< Edge > > _index_to_edge
std::vector< Ref< Triangle > > _index_to_triangle
int ** _triangle_vertex
int ** _triangle_edge
int ** _edge_vertex
int _have_values
std::vector< double > _values
Ref< TriangleIntegrator > _integrator
Ref< TriangleIntegrator > _fast_integrator
Ref< TriangleIntegrator > _accurate_integrator
std::map< Ref< Vertex >
, std::set< Ref< Edge > > > _tmp_edges"

Author

Generated automatically by Doxygen for MPQC from the source code'.